# GimpUi.SpinButton

    const GimpUi = imports.gi.GimpUi;

    let spinButton = new GimpUi.SpinButton();

GimpUi.SpinButton is a drop-in replacement for Gtk.SpinButton, with the following changes:

- When the spin-button loses focus, its adjustment value is only updated if the entry text has been changed.

- When the spin-button's "wrap" property is TRUE, values input through the entry are wrapped around.

- Modifiers can be used during scrolling for smaller/bigger increments.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - Gtk.SpinButton
          - GimpUi.SpinButton

## Constructors

- GimpUi.SpinButton.new
- GimpUi.SpinButton.new_with_range